Public Class FormularzBezReszty
    Private Sub btnZnajdźLiczby_Click(sender As Object, e As EventArgs) Handles btnZnajdźLiczby.Click
        Dim intSzukane As Integer = 1
        Dim intZnalezione As Integer = 0
        Dim intDzielnik

        If Not (IsNumeric(txtLiczba.Text)) Then
            MessageBox.Show("Musisz podać liczbę.")
            Exit Sub
        End If

        lstWyniki.Items.Clear()
        intDzielnik = CInt(txtLiczba.Text)

        Do Until intZnalezione = 10
            If intSzukane Mod intDzielnik = 0 Then
                lstWyniki.Items.Add(CStr(intSzukane))
                intZnalezione = intZnalezione + 1
            End If
            intSzukane = intSzukane + 1
        Loop

    End Sub
End Class
